Questo plugin non è stato testato con le ultime 3 versioni principali (major releases) di WordPress. Potrebbe non essere più mantenuto, o supportato, e potrebbe presentare problemi di compatibilità se utilizzato con versioni più recenti di WordPress.

UTF-8 Database Converter

Descrizione

Since the release of WordPress 2.2 the character set has been set by default to UTF-8 and the users
that come from previously versions of WordPress, may have some problems with the old Latin1 character set
and the new default UTF-8 character set.
This plugin has been designed and developed with the idea to do this complex task in a easy 1-click way,
so it will no require any type of advance knowledge about the topic to make use of this plugin.

Attention: This plugin is no longer being maintained by the author

NOTES

This plugin makes and a irreversible job to your database so consider seriously the task to make a complete backup of your
WordPress based site before proceed with the task.
This plugin has been designed to be only compatible with WordPress versions 2.2.x and 2.1.x so running
the plugin on other minor or major versions may have unexpected behavior.

Installazione

  1. Open the file wp-config.php set DB_CHARSET to utf8 and leave DB_COLLATE with nothing. (Just for WordPress 2.2.x)
  2. Upload UTF8_DB_Converter.php to the /wp-content/plugins/ directory.
  3. Activate the plugin through the ‘Plugins’ menu in WordPress.
  4. Go to the sub menu called ‘UTF-8 Database Converter’.
  5. And just follow the instructions on the screen.

FAQ

Why i can’t see the sub menu ‘UTF-8 Database Converter’?

If you are not the ‘blog owner’ or a user with level 10 (the maximum level), you cannot access this plugin.
Because this task is a little complex and exceeds the normal user daily tasks, i have decided to make only visible
and accessibly for the user with level 10 which is normally the blog owner or the blog administrator.

What are the System Recommendations or do i need something else?

I make this plugin compatible with the next minimum requirements:
* PHP >= 4.2
* MySQL >= 4.1.2
So it will no require anything different or anything special to work.

Can i delete it after the task is done?

Of course, once its make his job you no longer need use or have anymore this plugin in your plugin activated/stored list.

Recensioni

13 Marzo 2020
Although the plugin's features are great, it no longer seems to work with WordPress 5.3.2; it might've worked with previous versions... I'm interested in getting it to work, as I recently imported an old backup that was using latin1 or iso-8859-1 encoding. I'll update my review and possibly try to publish a fix when I get it to work.
Leggi tutte le recensioni di 4

Contributi e sviluppo

“UTF-8 Database Converter” è un software open source. Le persone che hanno contribuito allo sviluppo di questo plugin sono indicate di seguito.

Collaboratori

Traduci “UTF-8 Database Converter” nella tua lingua.

Ti interessa lo sviluppo?

Esplora il Codice segui il Repository SVN iscriviti al Log delle Modifiche. Puoi farlo tramite RSS con un lettore di feed.